> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get disable



## OpenAPI

````yaml /openapi/main.json get /v1/crm/disable/
openapi: 3.0.3
info:
  title: Yume API — Основное
  version: 1.0.0
  description: Базовые сущности и бизнес-логика CRM.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/disable/:
    get:
      tags:
        - disable
      summary: Get disable
      operationId: disable_list
      parameters:
        - in: query
          name: category
          schema:
            type: number
        - in: query
          name: category__isnull
          schema:
            type: boolean
        - in: query
          name: client__isnull
          schema:
            type: boolean
        - in: query
          name: counterparty__isnull
          schema:
            type: boolean
        - in: query
          name: created_at__date__gte
          schema:
            type: string
            format: date
        - in: query
          name: created_at__date__lte
          schema:
            type: string
            format: date
        - in: query
          name: created_by
          schema:
            type: integer
        - in: query
          name: discount__isnull
          schema:
            type: boolean
        - in: query
          name: group
          schema:
            type: number
        - in: query
          name: group__isnull
          schema:
            type: boolean
        - in: query
          name: inventory
          schema:
            type: integer
        - in: query
          name: inventory__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: inventory__isnull
          schema:
            type: boolean
        - in: query
          name: method
          schema:
            type: integer
            title: Способ
            enum:
              - 0
              - 1
              - 2
          description: |-
            * `0` - удалить
            * `1` - Архив
            * `2` - Списано
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: pageSize
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: payment_account__isnull
          schema:
            type: boolean
        - in: query
          name: payment_category__isnull
          schema:
            type: boolean
        - in: query
          name: payment_type__isnull
          schema:
            type: boolean
        - in: query
          name: rental_point
          schema:
            type: number
        - in: query
          name: rental_point__isnull
          schema:
            type: boolean
        - name: search
          required: false
          in: query
          description: A search term.
          schema:
            type: string
        - in: query
          name: service
          schema:
            type: integer
        - in: query
          name: service__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: service__isnull
          schema:
            type: boolean
        - in: query
          name: set
          schema:
            type: integer
        - in: query
          name: set__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: set__isnull
          schema:
            type: boolean
        - in: query
          name: time_period__isnull
          schema:
            type: boolean
        - in: query
          name: warehouse__isnull
          schema:
            type: boolean
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedDisableListList'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    PaginatedDisableListList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/DisableList'
    DisableList:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        method:
          allOf:
            - $ref: '#/components/schemas/MethodEnum'
          title: Способ
          minimum: -32768
          maximum: 32767
        comment:
          type: string
          nullable: true
          title: Комментарий
          maxLength: 512
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        created_by:
          type: integer
          nullable: true
          title: Создал
        inventory:
          allOf:
            - $ref: '#/components/schemas/BaseInventory'
          readOnly: true
        group:
          allOf:
            - $ref: '#/components/schemas/BaseInventoryGroup'
          readOnly: true
        service:
          allOf:
            - $ref: '#/components/schemas/Service'
          readOnly: true
        set:
          allOf:
            - $ref: '#/components/schemas/InventorySetInfo'
          readOnly: true
        client:
          allOf:
            - $ref: '#/components/schemas/BaseClient'
          readOnly: true
        category:
          allOf:
            - $ref: '#/components/schemas/Category'
          readOnly: true
        rental_point:
          allOf:
            - $ref: '#/components/schemas/RentalPoint'
          readOnly: true
        time_period:
          allOf:
            - $ref: '#/components/schemas/BaseTimePeriod'
          readOnly: true
        discount:
          allOf:
            - $ref: '#/components/schemas/DiscountUpdate'
          readOnly: true
        payment_type:
          allOf:
            - $ref: '#/components/schemas/PaymentType'
          readOnly: true
        payment_account:
          allOf:
            - $ref: '#/components/schemas/PaymentAccount'
          readOnly: true
        payment_category:
          allOf:
            - $ref: '#/components/schemas/PaymentCategory'
          readOnly: true
        counterparty:
          allOf:
            - $ref: '#/components/schemas/Counterparty'
          readOnly: true
        warehouse:
          allOf:
            - $ref: '#/components/schemas/Warehouse'
          readOnly: true
        extra:
          title: Доп. данные
      required:
        - category
        - client
        - counterparty
        - created_at
        - discount
        - group
        - id
        - inventory
        - payment_account
        - payment_category
        - payment_type
        - rental_point
        - service
        - set
        - time_period
        - warehouse
    MethodEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - удалить
        * `1` - Архив
        * `2` - Списано
    BaseInventory:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        group:
          type: integer
          nullable: true
          title: Группа инвентаря
        name:
          type: string
          title: Название
          maxLength: 255
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        category:
          type: integer
          nullable: true
          title: Категория
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        extra:
          title: Доп. данные
        subleases:
          type: array
          items:
            $ref: '#/components/schemas/InventorySublease'
          readOnly: true
        state:
          type: integer
          nullable: true
          title: Состояние
        disabled:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DisabledEnum'
            - $ref: '#/components/schemas/NullEnum'
        rental_point:
          type: integer
          nullable: true
          title: Точка проката
      required:
        - id
        - name
        - subleases
    BaseInventoryGroup:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          nullable: true
          title: Название
          maxLength: 512
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        category:
          type: integer
          nullable: true
          title: Категория
        unit_price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Цена за единицу
        unit_count:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Количество единиц
        unit_type:
          allOf:
            - $ref: '#/components/schemas/UnitTypeEnum'
          title: Единица измерения
        unit_sum:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Итого за единицы
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        barcode:
          type: string
          nullable: true
          title: Штрихкод
          maxLength: 255
        extra:
          title: Доп. данные
        filters:
          type: array
          items:
            type: string
            maxLength: 32
          nullable: true
          title: Фильтры
        points:
          type: array
          items:
            type: integer
            maximum: 2147483647
            minimum: -2147483648
          title: Баллы
        published:
          type: boolean
          title: Опубликовано
        type:
          allOf:
            - $ref: '#/components/schemas/Type9ddEnum'
          title: Тип
          minimum: 0
          maximum: 32767
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        lifetime:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
          title: Срок службы, дней
        deleted:
          type: boolean
          readOnly: true
      required:
        - created_at
        - deleted
        - id
        - updated_at
    Service:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        disabled:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DisabledEnum'
            - $ref: '#/components/schemas/NullEnum'
        deleted:
          type: boolean
          readOnly: true
        tarifs:
          type: array
          items:
            $ref: '#/components/schemas/ServiceTarifs'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        name:
          type: string
          nullable: true
          title: Название
          maxLength: 255
        type:
          allOf:
            - $ref: '#/components/schemas/ServiceTypeEnum'
          title: Тип
          minimum: 0
          maximum: 2147483647
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        bonus:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
          title: Бонусы
        extra:
          title: Доп. данные
        slug:
          type: string
          nullable: true
          title: Адрес страницы
          maxLength: 50
          pattern: ^[-a-zA-Z0-9_]+$
        published:
          type: boolean
          title: Опубликовано
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        tenant:
          type: integer
        category:
          type: integer
          nullable: true
          title: Категория
        discount:
          type: integer
          nullable: true
          title: Скидка
      required:
        - created_at
        - deleted
        - id
        - tarifs
        - updated_at
    InventorySetInfo:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          title: Название
          maxLength: 255
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        category:
          type: integer
          nullable: true
          title: Категория
        static:
          type: boolean
          title: Фиксированный состав
        extra:
          title: Доп. данные
        published:
          type: boolean
          title: Опубликовано
      required:
        - id
        - name
    BaseClient:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          title: Название
          maxLength: 512
        type:
          allOf:
            - $ref: '#/components/schemas/Type433Enum'
          title: Тип
          minimum: 0
          maximum: 2147483647
        avatar:
          type: string
          format: uri
          nullable: true
          title: Фото
        agreement_id:
          type: string
          readOnly: true
          nullable: true
        signed:
          type: boolean
        sign_date:
          type: string
          format: date
          nullable: true
        sign_expires:
          type: string
          format: date
          nullable: true
        phone:
          type: string
          title: Телефон
          maxLength: 32
        email:
          type: string
          format: email
          nullable: true
          maxLength: 254
        legal_type:
          nullable: true
          title: Форма организации
          minimum: 0
          maximum: 2147483647
          oneOf:
            - $ref: '#/components/schemas/LegalTypeEnum'
            - $ref: '#/components/schemas/NullEnum'
        extra:
          title: Доп. данные
      required:
        - agreement_id
        - id
        - name
        - phone
    Category:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        deleted:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        name:
          type: string
          maxLength: 255
        comment:
          type: string
          nullable: true
          maxLength: 512
        icon:
          type: string
          format: uri
          nullable: true
        slug:
          type: string
          nullable: true
          maxLength: 50
          pattern: ^[-a-zA-Z0-9_]+$
        lifetime:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        extra: {}
        tenant:
          type: integer
        parent:
          type: integer
          nullable: true
      required:
        - created_at
        - deleted
        - id
        - name
        - updated_at
    RentalPoint:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        deleted:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        name:
          type: string
          maxLength: 512
        address:
          type: string
          maxLength: 512
        extra: {}
        tenant:
          type: integer
      required:
        - address
        - created_at
        - deleted
        - id
        - name
        - updated_at
    BaseTimePeriod:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
        time:
          type: string
        weekdays:
          type: array
          items:
            type: integer
            maximum: 6
            minimum: 0
        deleted:
          type: boolean
          readOnly: true
      required:
        - deleted
        - id
        - time
    DiscountUpdate:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          title: Название
          maxLength: 255
        discount:
          type: integer
          maximum: 2147483647
          minimum: 0
          title: Размер скидки
        discount_type:
          allOf:
            - $ref: '#/components/schemas/DiscountTypeEnum'
          title: Тип скидки
          minimum: -2147483648
          maximum: 2147483647
        type:
          allOf:
            - $ref: '#/components/schemas/DiscountUpdateTypeEnum'
          title: Тип
          minimum: -2147483648
          maximum: 2147483647
        extra:
          title: Доп. данные
        active:
          type: boolean
          title: Активна
        start_at:
          type: string
          format: date-time
          nullable: true
          title: Начало Акции
        end_at:
          type: string
          format: date-time
          nullable: true
          title: Конец Акции
        usage_limit:
          type: integer
          maximum: 2147483647
          minimum: 0
          title: Лимит использований
      required:
        - id
        - name
    PaymentType:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        deleted:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        name:
          type: string
          title: Название
          maxLength: 255
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
          title: Порядок
        kaspi_phone:
          type: string
          readOnly: true
          default: ''
          title: Телефон Kaspi
        kaspi_organization_id:
          type: string
          readOnly: true
          default: ''
          title: Организация Kaspi
        tenant:
          type: integer
      required:
        - created_at
        - deleted
        - id
        - kaspi_organization_id
        - kaspi_phone
        - name
        - updated_at
    PaymentAccount:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        deleted:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        name:
          type: string
          title: Название
          maxLength: 255
        default:
          type: boolean
          title: По умолчанию
        initial:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Начальный остаток
        balance:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          readOnly: true
        types:
          type: array
          items:
            type: integer
            maximum: 9223372036854776000
            minimum: -9223372036854776000
            format: int64
          title: Способы оплаты
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
          title: Порядок
        tenant:
          type: integer
      required:
        - balance
        - created_at
        - deleted
        - id
        - name
        - updated_at
    PaymentCategory:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        deleted:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        name:
          type: string
          title: Название
          maxLength: 255
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
          title: Порядок
        type:
          allOf:
            - $ref: '#/components/schemas/TypeD33Enum'
          title: Тип
          minimum: -32768
          maximum: 32767
        enabled:
          type: boolean
          title: Включена
        tenant:
          type: integer
        parent:
          type: integer
          nullable: true
          title: Родительская статья
      required:
        - created_at
        - deleted
        - id
        - name
        - updated_at
    Counterparty:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        access:
          type: array
          items:
            type: integer
          nullable: true
        deleted:
          type: boolean
          readOnly: true
        name:
          type: string
          maxLength: 255
        side:
          allOf:
            - $ref: '#/components/schemas/SideEnum'
          minimum: -32768
          maximum: 32767
        source:
          allOf:
            - $ref: '#/components/schemas/SourceEnum'
          minimum: -32768
          maximum: 32767
        type:
          allOf:
            - $ref: '#/components/schemas/Type6ecEnum'
          minimum: -32768
          maximum: 32767
        category:
          allOf:
            - $ref: '#/components/schemas/CategoryEnum'
          minimum: -32768
          maximum: 32767
        iin:
          type: string
          nullable: true
          maxLength: 12
          minLength: 12
        bin:
          type: string
          nullable: true
          maxLength: 12
          minLength: 12
        iban:
          type: string
          nullable: true
          maxLength: 25
        bank:
          type: string
          nullable: true
          maxLength: 255
        phone:
          type: string
          nullable: true
          maxLength: 32
        owner:
          type: string
          nullable: true
          maxLength: 255
        address:
          type: string
          nullable: true
          maxLength: 255
        email:
          type: string
          format: email
          nullable: true
          maxLength: 254
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        extra: {}
        tenant:
          type: integer
      required:
        - deleted
        - id
        - name
    Warehouse:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        address:
          type: string
          nullable: true
        rental_point:
          type: integer
          nullable: true
        deleted:
          type: boolean
          readOnly: true
      required:
        - deleted
        - id
        - name
    InventorySublease:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        inventory:
          type: integer
          title: Инвентарь
        user:
          type: integer
          title: Владелец субаренды
        percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
          title: Процент субаренды
        start_at:
          type: string
          format: date-time
          nullable: true
          title: Начало периода
        end_at:
          type: string
          format: date-time
          nullable: true
          title: Конец периода
        is_current:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
      required:
        - created_at
        - id
        - inventory
        - is_current
        - percent
        - user
    DisabledEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - удалить
        * `1` - Архив
        * `2` - Списано
    NullEnum:
      enum:
        - null
    UnitTypeEnum:
      enum:
        - litre
        - kg
        - g
        - ml
        - piece
        - m3
      type: string
      description: |-
        * `litre` - Литр
        * `kg` - Килограмм
        * `g` - Грамм
        * `ml` - Миллилитр
        * `piece` - Штука
        * `m3` - Кубический метр
    Type9ddEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Аренда
        * `1` - Продажа
    ServiceTarifs:
      type: object
      description: >-
        Тарифы услуг переехали в общую таблицу, но интерфейс услуги знает поле
        `duriation`.
      properties:
        id:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        tenant:
          type: integer
        service:
          type: integer
        name:
          type: string
          title: Название
          maxLength: 255
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        duriation:
          type: integer
          nullable: true
        one_time_payment:
          type: boolean
          title: Разовая оплата
        published:
          type: boolean
          title: Опубликовано
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          title: Порядок
      required:
        - created_at
        - id
        - service
        - updated_at
    ServiceTypeEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
      type: integer
      description: |-
        * `0` - Доставка
        * `1` - Не выбрано
        * `2` - Доставка обратно
        * `3` - Доставка туда и обратно
        * `4` - Сервис
    Type433Enum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Физ. лицо
        * `1` - Юр. лицо
    LegalTypeEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
      type: integer
      description: |-
        * `0` - ИП
        * `1` - ТОО
        * `2` - АО
        * `3` - ПК
    DiscountTypeEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Процент
        * `1` - Сумма
    DiscountUpdateTypeEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - Скидка
        * `1` - Промокод
        * `2` - Сумма
    TypeD33Enum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Приход
        * `1` - Расход
    SideEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Своё
        * `1` - Внешний
    SourceEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Магазин
        * `1` - Расход
    Type6ecEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
      type: integer
      description: |-
        * `0` - ИП
        * `1` - ТОО
        * `2` - АО
        * `3` - ПК
    CategoryEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Приход
        * `1` - Расход
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````